STRXFRM(3)

NAME
strxfrm - transform a string under locale

SYNOPSIS
#include <string.h>
size_t
strxfrm(char *dst, const char *src, size_t n);

DESCRIPTION
The strxfrm() function transforms a null-terminated string pointed to by src according to the current locale collation if any, then copies not more than n-1 characters of the resulting string into dst, terminating it with a null character and then returns the resulting length. Comparing two strings using strcmp() after strxfrm() is equal to comparing two original strings with strcoll().

BUGS
Sometimes the behavior of this function is unpredictable.

SEE ALSO
setlocale(3), strcmp(3), strcoll(3)

STANDARDS
The strxfrm() function conforms to ansiC.